* {
  padding: 0;
  margin: 0;
}

img {
  max-width: 100%;
  vertical-align: middle;
  display: inline-block;
}

body {
  position: relative;
  background-color: #f9f9fb;
  width: 100%;
  padding-bottom: 100px;
}

.background-vector {
  background-image: url(../images/vector.png);
  width: 60%;
  height: 100%;
  position: absolute;
  top: 0%;
  bottom: auto;
  left: auto;
  right: 0%;
  background-repeat: no-repeat;
  z-index: -1;
}

.navigation {
  max-width: 940px;
  margin: 0 auto;
}

.connection-item {
  width: 100%;
  max-width: 565px;
  margin: 0 auto 96px;
  margin-top: 100px;
}

.connection-title {
  font-family: 'Raleway', sans-serif;
  font-style: normal;
  font-weight: 700;
  font-size: 36px;
  line-height: 44px;
  text-align: center;
  letter-spacing: 0.01em;
  text-transform: uppercase;
  color: #FF9B42;
  margin: 0 0 40px;
}

.connection-label {
  font-family: 'Lato';
  font-style: normal;
  font-weight: 400;
  font-size: 20px;
  line-height: 10px;
  letter-spacing: 0.01em;
  color: #31AAB7;
  margin-bottom: 8px;
  display: block;
  width: 100%;
}

.connection-input {
  margin-bottom: 32px;
  display: block;
  height: 60px;
  width: 100%;
  background: #FFFFFF;
  border: 1px solid #C5D1D1;
  border-radius: 4px;
  padding: 13px 16px;
  font-family: 'Lato';
  font-style: normal;
  font-weight: 500;
  font-size: 20px;
  line-height: 34px;
  letter-spacing: 0.01em;
  color: #6D6C71;
  outline: none;
}

.connection-wrapper_btn {
  display: flex;
  justify-content: space-between;
}

.profisafe_input {
  width: 100%;
}

.profisafe_input.padded {
  margin-right: 24px;
}

.connection-btn:disabled {
  background: #888888;
}

.connection-btn {
  width: 170px;
  height: 50px;
  background: #FF9B42;
  border-radius: 4px;
  font-family: 'Lato';
  font-style: normal;
  font-weight: 500;
  font-size: 20px;
  line-height: 34px;
  letter-spacing: 0.01em;
  color: #FFFFFF;
  cursor: pointer;
  border: 0;
}

.title--small {
  text-transform: lowercase;
}

fieldset {
  border: 0;
  margin: 0;
  padding: 0;
}

.profisafe-input__wrap {
  display: flex;
}

.profisafe-btn:disabled {
  background: #888888;
}

.profisafe-btn {
  height: 60px;
  width: 100%;
  background: #31AAB7;
  border-radius: 4px;
  font-family: 'Lato';
  font-style: normal;
  font-weight: 500;
  font-size: 20px;
  line-height: 34px;
  letter-spacing: 0.01em;
  color: #F9F9FB;
  cursor: pointer;
  outline: none;
  border: none;
}

.isa-wrapper__grid {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 2px 48px;
}

.isa-wrapper {
  width: 100%;
}

.connection-item.isa {
  width: 100%;
  max-width: 948px;
  margin: 0 auto 96px;
}

.connection-textarea {
  display: block;
  width: 100%;
  max-width: 936px;
  margin: 0 auto;
  background: #FFFFFF;
  border: 1px solid #C5D1D1;
  border-radius: 4px;
  font-family: monospace, monospace;
  font-weight: 500;
  font-size: 18px;
  color: #6D6C71;
  resize: none;
  outline: none;
}

.measurement {
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 0 auto;
  position: relative;
  color: #6D6C71;  
  width: 18%; /* Fixed width for each tuple */
}

.measurement-value {
  font-size: 20px;  
  margin-bottom: 8px;
  white-space: nowrap; /* Prevent value from wrapping */
}

@media (max-width: 780px) {
  .connection-wrapper_btn {
    flex-direction: column;
  }

  .connection-btn {
    width: 100%;
    margin-bottom: 24px;
  }

  .profisafe-input__wrap {
    flex-direction: column;
  }

  .isa-wrapper__grid {
    grid-template-columns: repeat(1, 1fr);
  }
}